1. Installments
Sipay API Documentation
  • Overview
    • Getting Started
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • HASH
    • Hash Information
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure Pre-Authorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure Pre-Authorization Payment
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • Check Status
      POST
    • Confirm Payment
      POST
    • Complete Payment
      POST
    • Non-Secure and 3D Payment with Sipay
      POST
    • Refund
      POST
  • Payment with Saved Card
    • Card Registration
    • Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
    • Non-Secure Payment with Hidden Card
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to Bank
  • Webhook
    • Webhook
  • Status Codes
    • Status Codes
  1. Installments

Getting Installment Information

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/getpos
This endpoint is used to retrieve the installment options based on the card number provided on the payment page.
For agricultural cards, the system determines the applicable maturity range and corresponding payment frequency based on the provided card details.
This endpoint is triggered when the first 6 digits of the user's card number are entered.
For agricultural cards, the full card number must be provided.
Using these endpoints, the card type, card program, and card schema information can also be retrieved.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Get Pos Success Response
application/json
Body

🟠400Authorization Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/getpos' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "credit_card": "534261",
  "amount": 248.5,
  "currency_code": "TRY",
  "merchant_key": "$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
  "commission_by": "merchant",
  "is_recurring": 0,
  "is_2d": 0,
  "app_lang": "en"
}'
Response Response Example
200 - Success
{
    "status_code": 100,
    "status_description": "Successfull",
    "data": [
        {
            "pos_id": 135,
            "campaign_id": 0,
            "allocation_id": 0,
            "installments_number": 1,
            "card_type": "CREDIT CARD",
            "card_program": "BONUS",
            "card_scheme": "mastercard",
            "is_commercial": "FALSE",
            "payable_amount": 248.5,
            "hash_key": "8cabf326c54af463:f7f7:dtAcPqGmXaOZjcjRGHTfbWAi__862gaYplCWFHvnXn1KtAXLE1rx9HuqtxAkK++jE1dxuOx11l__1TtT6ESCuYntZGLwkSHmPo__jairuJZowc=",
            "amount_to_be_paid": "248.50",
            "currency_code": "TRY",
            "currency_id": 1,
            "title": "Single payment",
            "card_bank": "T. GARANTI BANKASI A.S.",
            "bank_code": "0062"
        }
    ]
}
Modified at 2026-04-16 07:41:52
Previous
Generating Token
Next
Installments
Built with